import { GetCoursewareComponentContent_View } from '@/api/book';

const mixin = {
  data() {
    return {};
  },
  props: {
    id: {
      type: String,
      required: true,
    },
    courseware_id: {
      type: String,
      required: true,
    },
  },
  created() {
    this.getCoursewareComponentContent_View();
  },
  methods: {
    getCoursewareComponentContent_View() {
      GetCoursewareComponentContent_View({ courseware_id: this.courseware_id, component_id: this.id }).then(
        ({ content }) => {
          if (content) this.data = JSON.parse(content);
        },
      );
    },
  },
};

export default mixin;
